View a markdown version of this page

GetEntitlement - Account access manager

GetEntitlement

Retrieves details about a specific entitlement for an account access manager application, including the principal, IAM role, and target account.

Request Syntax

GET /entitlements/entitlementId?applicationArn=applicationArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

applicationArn

Specifies the ARN of the application that the entitlement belongs to.

Length Constraints: Minimum length of 49. Maximum length of 2048.

Pattern: arn:[a-z0-9-]+:account-access:[a-z0-9]+(-[a-z0-9]+)*:[0-9]{12}:application/[a-zA-Z0-9-]+

Required: Yes

entitlementId

Specifies the unique identifier of the entitlement to retrieve.

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "applicationArn": "string", "createdAt": "string", "entitlement": { ... }, "entitlementId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

applicationArn

The ARN of the application that the entitlement belongs to.

Type: String

Length Constraints: Minimum length of 49. Maximum length of 2048.

Pattern: arn:[a-z0-9-]+:account-access:[a-z0-9]+(-[a-z0-9]+)*:[0-9]{12}:application/[a-zA-Z0-9-]+

createdAt

The date and time when the entitlement was created.

Type: Timestamp

entitlement

The entitlement details, including the principal, IAM role, and target account.

Type: EntitlementDetails object

Note: This object is a Union. Only one member of this object can be specified or returned.

entitlementId

The unique identifier of the entitlement.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this operation.

HTTP Status Code: 403

InternalServerException

An internal service error occurred. Try your request again later.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource does not exist. Verify that the resource identifier is correct and that the resource exists in the current Region.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling. Try your request again later.

HTTP Status Code: 429

ValidationException

The input does not satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: